# JacocoPlugin

abstract class JacocoPlugin : Plugin<T>

Plugin that provides support for generating Jacoco coverage data.

#### See also

<a href="https://docs.gradle.org/current/userguide/jacoco_plugin.html">JaCoCo plugin reference</a>

## Constructors

JacocoPlugin
Link copied to clipboard
@Inject
constructor(instantiator: Instantiator)

## Properties

AGENT_CONFIGURATION_NAME
Link copied to clipboard
val AGENT_CONFIGURATION_NAME: String = "jacocoAgent"
ANT_CONFIGURATION_NAME
Link copied to clipboard
val ANT_CONFIGURATION_NAME: String = "jacocoAnt"
DEFAULT_JACOCO_VERSION
Link copied to clipboard
val DEFAULT_JACOCO_VERSION: String = "0.8.13"
The jacoco version used if none is explicitly specified.
PLUGIN_EXTENSION_NAME
Link copied to clipboard
val PLUGIN_EXTENSION_NAME: String = "jacoco"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)